#!/usr/bin/env python
# -*- coding: utf-8 -*-

from gluon.custom_import import track_changes
track_changes(True)

import currency

response.formstyle ="bootstrap3_inline"
response.form_label_separator = ""

db = DAL("sqlite://storage.db")

db.define_table(
    "product",
    Field(
        "name",
        length=100,
        requires=IS_NOT_EMPTY(),
        label="Nombre del producto"
    ),
    Field(
        "price_currency",
        type="integer",
        requires=IS_IN_SET(currency.symbols),
        readable=False,
        label="Moneda"
    ),
    Field(
        "price",
        type="decimal(9, 3)",
        requires=IS_NOT_EMPTY(),
        represent=lambda value, row: "{} {}".format(
            currency.symbols[row.price_currency], value),
        label="Precio"
    )
)